import { AuthStore } from "auth/domain/authStore";
import { is } from "immer/dist/internal";

type LogoutStore = Pick<AuthStore, "signOut">;

const signOutUseCase = (store: LogoutStore) => {
  store.signOut();
};

export { signOutUseCase as signoutUseCase };
